Conciliation
Allows to obtain reconciliations in payku.
https://app.payku.cl/ (Default server) · https://des.payku.cl/ (Sandbox server)Get conciliations.
Section titled “Get conciliations.”/api/conciliationAllows you to obtain bank reconciliations of the money generated by your account and deposited by payku in the days corresponding to your payment.
Request body
| Parameter | Type | Description |
|---|---|---|
date_initrequired |
string | Start date range:
|
date_endrequired |
string | End date range:
|
curl -X POST \https://BASE-URL/api/conciliation \-H 'Accept: application/json, text/plain, */*' \-H 'Authorization: Bearer PUBLIC-TOKEN' \-H 'Content-Type: application/json' \-H 'Host: BASE-URL' \-d '{ "date_init": "2022-10-20", "date_end": "2022-10-21" }'$client = new \GuzzleHttp\Client(); $body = $client->request('POST', 'https://BASE_URL/api/conciliation', [ 'json' => [ 'date_init' => '2022-10-20', 'date_end' => '2022-10-21' ], 'headers' => [ 'Authorization' => 'Bearer PUBLIC-TOKEN', ] ])->getBody();$response = json_decode($body);const request = async (data) => { const response = await fetch('https://BASE_URL/api/conciliation', { method: 'POST', headers: { 'Content-Type': 'application/json', 'Authorization': 'Bearer PUBLIC-TOKEN' }, body: JSON.stringify(data) }); const result = await response.json(); console.log(result)}
let data = { "date_init": "2022-10-20", "date_end": "2022-10-21"};
request(data);Responses
{ "conciliation": [ { "id": "107999", "created_at": "2019-10-25 14:10:03", "amount_available": 98745, "amount_deposit": 0, "status": "pending", "destiny": "wallet", "currency": "CLP", "wallet": null, "transaction": [ { "transaction_id": "rsyt68j4dhg6k8j54ut698dt6hj84", "payment_key": "pra934939d607922f9e", "order": "6544", "start": "2020-12-16 15:10:33", "end": "2020-12-16 15:10:36", "deposit_date": "2022-10-05", "amount": 250000, "fee": 15000, "amount_deposit": 235000, "media": "Webpay" } ] } ]}Response fields
| Parameter | Type | Description |
|---|---|---|
conciliation |
array of objects | |
id |
string | Conciliation identifier created by Payku. |
created_at |
string | Registration date. |
amount_available |
int | Amount available. |
amount_deposit |
int | Amount deposited. |
status |
string | Conciliation status. The possible statuses you can get are as follows:
|
destiny |
string | Destination of the liquidation. |
currency |
string | Currency. |
wallet |
string | Digital wallet payku. |
transaction |
array of objects | |
transaction_id |
string | Transaction identifier created by Payku. |
payment_key |
string | Identifier of payment created by Payku. |
order |
string | Order identifier. |
start |
string | Start of the transaction. |
end |
string | End of transaction. |
deposit_date |
string | Date on which the deposit will be made to the client. |
amount |
string | Monto de la transacción. |
fee |
string | Comisión general. |
amount_deposit |
int | Customer deposit amount. |
media |
string | payment method, used by the user. |
Request failed.
{ "status": "failed", "type": "Unprocessable Entity", "message_error": "subject:invalid,amount:is empty,email:is empty,order:invalid"}Response fields
| Parameter | Type | Description |
|---|---|---|
status |
string | Request status. |
type |
string | Type of error. |
message_error |
string | Error message. |
Incorrect public token.
{ "type": "Unauthorized", "message_error": { "error": "waiting token public" }}Response fields
| Parameter | Type | Description |
|---|---|---|
type |
string | Request status. |
message_error |
object | |
error |
string | Error message. |